# Installing Mendix on GNU/Linux

This documentation describes the installation and configuration of the Mendix software on a system running GNU/Linux. This howto assumes the reader has decent skills concerning administering GNU/Linux server environments.

The following operating systems are currently supported:

 * Debian GNU/Linux 9 (Stretch)
 * Debian GNU/Linux 8 (Jessie)
 * RHEL 7, Centos 7

Installation on other unix-like operating systems is possible, but is not tested and supported by Mendix.

In order to set up an environment to run Mendix applications, you will need to install the Mendix software, together with some dependencies, provided by your operating system. For each Mendix application that will be run, a separate user account and project folder on the filesystem is required.

## Available documentation:

 * [Introduction and overview](introduction.md)
 * [Installing the Mendix software](install-1.md)
 * [Preparing an application deployment location](install-2.md)
 * [Configuring the application](configure.md)
 * [Using a webserver as reverse http proxy to provide ssl encryption, static content and static and dynamic compression. An example: nginx](nginx.md)
 * [Monitoring a Mendix application process with Munin](munin.md)
 * [Monitoring a Mendix application process using Nagios](nagios.md)
 * [Check the security of your installation using this checklist](security.md)

